## org.apache.poi.hwpf.model
Class SectionDescriptor

    java.lang.Object
      org.apache.poi.hwpf.model.SectionDescriptor

    @Internal
    public final class SectionDescriptor

extends java.lang.Object

Section Descriptor (SED) See page 186 for details.

Constructor Summary
`SectionDescriptor()`
`SectionDescriptor(byte[] buf, int offset)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `getFc()`
`void` `setFc(int fc)`
`byte[]` `toByteArray()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SectionDescriptor

    public SectionDescriptor()

### SectionDescriptor

    public SectionDescriptor(byte[] buf,
                             int offset)

Method Detail

### getFc

    public int getFc()

### setFc

    public void setFc(int fc)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toByteArray

    public byte[] toByteArray()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.